[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringStream.ReadAnsiString

Read an ansistring from the stream

## Declaration

Source position: classesh.inc line 1108

`public function TStringStream.ReadAnsiString(`
`Count: LongInt`
`):AnsiString; overload;`

## Description

ReadAnsiString will read an ansistring and correctly handle the codepage translation if necessary..

## See also

TStream.ReadString
TStringStream.WriteUnicodeString |  | Write a unicode string to the stream
TStringStream.WriteAnsiString |  | Write an ansistring to the stream
TStringStream.ReadUnicodeString |  | Read a unicode string from the stream